> For the complete documentation index, see [llms.txt](https://docs.b2ihealthcare.com/snowray/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2ihealthcare.com/snowray/snowray-v1.1.1/reference/access.md).

# Access management

Authors maintaining [resources](/snowray/snowray-v1.1.1/reference/resources.md) might need to restrict the accessibility of those. Snowray provides different types of roles to define which user is allowed to perform an action or to see a specific resource. Besides specifying roles for individual users, it is also possible to determine groups of users with associated roles. A more detailed description of user role permissions can be found [below](#user-roles-and-permissions).

![User Role Permissions](/files/-MjE6JPnnUfrOCCFq1pp)

### :busts\_in\_silhouette: User Roles and Permissions

|              |                **Read**                |                        **Write**                       |                          **Administrator**                         |
| ------------ | :------------------------------------: | :----------------------------------------------------: | :----------------------------------------------------------------: |
| **Export**   | Export a shared resource in any format |         Export a shared resource in any format         |                  Export any resource in any format                 |
| **Browse**   |         Browse shared resources        |                 Browse shared resources                |                    Browse any type of resources                    |
| **Edit**     |                    -                   | Edit shared value set clauses and concept map mappings | Edit the overview page, value set clauses and concept map mappings |
| **Create**   |                    -                   |                    Create resources                    |                          Create resources                          |
| **Release**  |                    -                   |                            -                           |                          Create a release                          |
| **Share**    |                    -                   |                            -                           |                     Manage access of a resource                    |
| **Settings** |                    -                   |                            -                           |                     Delete or retire resources                     |

Administrators can share resources, edit individual user or group roles, and revoke access to resources after visiting the *Sharing* tab of the selected resource. More can be found on these topics under the following pages:

{% content-ref url="/pages/-MjEhf9epLGp7erCI3FO" %}
[Sharing Resources](/snowray/snowray-v1.1.1/reference/access/sharing-resources.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MjEhmMMNKFIFZo\_6wdk" %}
[Change Roles](/snowray/snowray-v1.1.1/reference/access/change-roles.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MjEhshapSPo6dsAWsKZ" %}
[Revoke Access](/snowray/snowray-v1.1.1/reference/access/revoke-access.md)
{% endcontent-ref %}

{% hint style="info" %}
Resources only appear for users who are granted access to them.
{% endhint %}

User roles are restricted to resources. A user can have different types of permissions to different resources and can have multiple roles if they are present in a group with permission to the resource as well.

{% hint style="info" %}
When having multiple roles, the role with the higher accessibility feature will always be the one taken into consideration when trying to access a resource.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2ihealthcare.com/snowray/snowray-v1.1.1/reference/access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
